> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List recent runs

> List recent runs across all missions



## OpenAPI

````yaml https://us-central-1.telnyxcloudstorage.com/clawd-docs/openapi/ai/missions.yml get /ai/missions/runs
openapi: 3.1.0
info:
  title: Telnyx AI Missions API
  version: 2.0.0
  description: >-
    API for tracking multi-step AI agent activities with missions, runs, plans,
    and events.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /ai/missions/runs:
    get:
      tags:
        - Missions
      summary: List recent runs
      description: List recent runs across all missions
      operationId: get_public_missions_missions_runs
      parameters:
        - name: status
          in: query
          required: false
          schema:
            title: Status
            type: string
        - name: page[number]
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number (1-based)
            default: 1
            title: Page[Number]
          description: Page number (1-based)
        - name: page[size]
          in: query
          required: false
          schema:
            type: integer
            maximum: 1000
            exclusiveMinimum: 0
            description: Number of items per page
            default: 20
            title: Page[Size]
            minimum: 0
          description: Number of items per page
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MissionRunsListResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const runListRunsResponse of
            client.ai.missions.runs.listRuns()) {
              console.log(runListRunsResponse.mission_id);
            }
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.ai.missions.runs.list_runs()
            page = page.data[0]
            print(page.mission_id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.AI.Missions.Runs.ListRuns(context.TODO(), telnyx.AIMissionRunListRunsParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.ai.missions.runs.RunListRunsPage;
            import com.telnyx.sdk.models.ai.missions.runs.RunListRunsParams;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    RunListRunsPage page = client.ai().missions().runs().listRuns();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.ai.missions.runs.list_runs

            puts(page)
components:
  schemas:
    MissionRunsListResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/MissionRunData'
          type: array
          title: Data
        meta:
          $ref: '#/components/schemas/Meta'
      type: object
      required:
        - data
        - meta
      title: MissionRunsListResponse
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    MissionRunData:
      properties:
        run_id:
          type: string
          format: uuid
          title: Run Id
        mission_id:
          type: string
          format: uuid
          title: Mission Id
        status:
          $ref: '#/components/schemas/RunStatus'
        input:
          title: Input
          additionalProperties: true
          type: object
        started_at:
          type: string
          format: date-time
          title: Started At
        finished_at:
          title: Finished At
          type: string
          format: date-time
        result_summary:
          title: Result Summary
          type: string
        result_payload:
          title: Result Payload
          additionalProperties: true
          type: object
        error:
          title: Error
          type: string
        metadata:
          title: Metadata
          additionalProperties: true
          type: object
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - run_id
        - mission_id
        - status
        - started_at
        - updated_at
      title: MissionRunData
    Meta:
      properties:
        total_pages:
          type: integer
        total_results:
          type: integer
        page_number:
          type: integer
        page_size:
          type: integer
      type: object
      required:
        - total_pages
        - total_results
        - page_number
        - page_size
      title: Meta
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
    RunStatus:
      type: string
      enum:
        - pending
        - running
        - paused
        - succeeded
        - failed
        - cancelled
      title: RunStatus
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````